Jump to content

Curlygoth

Membres
  • Content Count

    317
  • Joined

  • Last visited

  • Days Won

    1

Curlygoth last won the day on December 11 2020

Curlygoth had the most liked content!

Community Reputation

3 Neutral

About Curlygoth

  • Rank
    ceinture noire

Contact Methods

  • Website URL
    https://www.1sxl.fr

Profile Information

  • Gender
    Male
  • Location
    Juste devant toi
  • Interests
    Programmation
    Mathématique

Recent Profile Visitors

494 profile views
  1. ou de renvoyer pour saisir un nom 😉
  2. ben si tu as les "propriétés" des tes SCU à ajouter dans tes dessins existants...
  3. voila maintennant une programmation pour gérer ça et tout est bon XD ben si tu as besoin d'aide... il y a un forum Programmation VBA
  4. On fais ce qu'on veut en programmation... Tu peux avoir ton fichier hote avec une creation des dossiers avec des sous dossiers et des fichiers en xref et agir dessus on peux aussi agir sur les calques comme le dit lalozere
  5. ben tu veux faire quoi en faite ? Car si tu veux toujours les meme SCU sur certains de tes dessins c'est la solution LA LOZERE via un gabarit Si tes scu sont toujours différents c'est donc manuel... donc ? PS : La tu te trompe ! Si tu fais du VBA excel tu sais potentiellement faire du VBA sur autocad ! La seul difference c'est qu'au lieu d'avoir des plages : tu auras des objets avec des propriétés ! d'ailleurs une plage est un objet... et tu agit sur des propriétés : value... interior.color ... etc... ben autocad c'est pareil mais c'est plus des plage
  6. et bien si ça existe deja en lisp je prends ^^ je suis pas fermé ^^ Merci ! et je remplace toto par SO par exemple et *toto* par *SO* (defun c:toto ( / p1 p2) (setvar "cmdecho" 0) (command "'_.-view" "_save" "$TMP$") (initget 9) (if (= *toto* 1) (getpoint "\n1er point?: ")) (setq p1 (getpoint "\n1er point?: ")) (initget 41) (setq p2 (getcorner p1 "\n2ème point?: ")) (command "'_.-view" "_restore" "$TMP$") (command "'_.-view" "_delete" "$TMP$") (setvar "cmdecho" 1) (if (zerop (getvar "cmdactive")) (sssetfirst nil (ssget (if (> (car p1) (car p2)) "_C"
  7. alors je ne peux pas agir directement sur le panneau xref d'autocad... Par contre creer un Formaulaire pour gerer tes différnte xref et gerer des dossier ça oui c'est faisable
  8. en lisp ou en vba c'est faisable.. mais si tu veux toujours le meme scu fait comme La lozère 😉 sinon méthode manuel et meme systeme pour la 3D
  9. A bon ??? Il me semblais que sur la 2005, je pouvais le faire ! Bon ben tant pis... soit je fais un programme pour ça... soit je ferais plusieurs groupe de sélection c'est pas bien grave xD bon et puis pour les 2 mois qu'il me reste... je vais voir avec mes collègues XD D'ailleurs je ne suis pas fou : https://www.cadtutor.net/forum/topic/51504-losing-selected-objects-when-zoomingpanning-etc/#comments
  10. A il me semblait bien qu'il y avait un "truc" ! par contre :
  11. Bonjour à vous ! j'ai perdu / oublié / ou finalement jamais su... Comment sélectionner les 4 objets tous en zoomant sur la fin pour etre précis ?
  12. ça me pareil bizzarre... car map c'est autocad + le "module map" donc qui peut le plus peut le moins... avez vous le code ? c'est où que ça bloque ?
  13. Option > sélection => coché la case où il y a le mot verbe et la coche en dessous voir ici https://www.aplicit.com/autocad-selection-objets/#:~:text=Symptôme %3A Lorsque je sélectionne d,pour ajouter à la sélection.
  14. Je pense qu'il faut qu'il regarde dans les références du projet. ensuite s'il fait appel dans son code à des méthodes exclusivement sur Map... Il lui faut le dll de MAP pas forcément la version complète d'autocad map
×
×
  • Create New...